aboutsummaryrefslogtreecommitdiffstats
path: root/community/imapsync
diff options
context:
space:
mode:
Diffstat (limited to 'community/imapsync')
-rw-r--r--community/imapsync/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/community/imapsync/APKBUILD b/community/imapsync/APKBUILD
new file mode 100644
index 0000000000..40b6972a87
--- /dev/null
+++ b/community/imapsync/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=imapsync
+pkgver=1.678
+pkgrel=1
+pkgdesc="IMAP synchronisation, sync, copy or migration tool"
+url="http://imapsync.lamiral.info"
+arch="noarch"
+license="custom"
+depends="perl-digest-hmac perl-authen-ntlm perl-io-compress perl-data-dumper \
+ perl-data-uniqid perl-digest-md5 perl-file-copy-recursive perl-io-socket-inet6 \
+ perl-io-socket-ssl perl-io-tee perl-mail-imapclient perl-parse-recdescent \
+ perl-term-readkey perl-test-pod perl-test-tester perl-unicode-string perl-uri-escape"
+depends_dev=""
+makedepends="$depends_dev perl-module-scandeps perl-par-packer"
+subpackages="$pkgname-doc"
+source="https://github.com/$pkgname/$pkgname/archive/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgname-$pkgver
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+ install -Dm644 FAQ.d/* "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+}
+
+md5sums="065961c37544635861a068a0596e4e29 imapsync-1.678.tar.gz"
+sha256sums="77cd7b58bc1872bcf6c531ee8f764dda87e0dec3f6ffed752748ff9ae74534b0 imapsync-1.678.tar.gz"
+sha512sums="88dd59bbd1567f76c70aca74d86540f00baa6df0869e7679505e8402138665e0380b942167b1cfe4fb55c5e01402b7820163bfa9d296de67e05248699592b799 imapsync-1.678.tar.gz"